Manova Developers

Connect the store

POST
/store/connect

Tells Manova where the shop is (siteUrl) and where to send order lookups (apiUrl, on the same domain; Manova calls {apiUrl}/order). The shop's domain is added to the assistant's allowed domains. Connecting a different shop with the same key deletes the previous shop's products.

Guide: https://docs.manova.ir/store/product-sync

Authorization

store
headerAuthorizationBearer <mnv_...>

The store connection key from the assistant's «فروشگاه» section: mnv_<store>_<secret>.

Request Body

application/json
  1. body
siteUrl*string
Formaturi
Lengthlength <= 255
apiUrl*string
Formaturi
Lengthlength <= 500
currency?|
Lengthlength <= 12
pluginVersion?|
Lengthlength <= 20
wcVersion?|
Lengthlength <= 20
wpVersion?|
Lengthlength <= 20

Response Body

application/json
  1. response
publicKey*string
botName*string
active*boolean
widgetUrl*string
ordersEnabled*boolean
panelUrl*string
products*integer
inStock*integer
lastSyncAt*string|null
Example Request
curl -X POST 'https://manova.ir/api/v1/external/store/connect' \  -H 'Content-Type: application/json' \  -d '{  "siteUrl": "http://example.com",  "apiUrl": "http://example.com"}'
Example Response
{  "publicKey": "string",  "botName": "string",  "active": true,  "widgetUrl": "string",  "ordersEnabled": true,  "panelUrl": "string",  "products": 0,  "inStock": 0,  "lastSyncAt": "string"}